package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * LanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class LanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo   {
  @JsonProperty("totalRows")
  private Long totalRows;

  @JsonProperty("currentPage")
  private Integer currentPage;

  @JsonProperty("currentSize")
  private Integer currentSize;

  @JsonProperty("data")
  @Valid
  private List<LanNetworkQueryOpenApiVo> data = null;

  @JsonProperty("supportMultiVlan")
  private Boolean supportMultiVlan;

  @JsonProperty("supportRA")
  private Boolean supportRA;

  @JsonProperty("supportCustomDhcpOption")
  private Boolean supportCustomDhcpOption;

  public LanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo totalRows(Long totalRows) {
    this.totalRows = totalRows;
    return this;
  }

  /**
   * Total rows of all items.
   * @return totalRows
  */
  @ApiModelProperty(value = "Total rows of all items.")


  public Long getTotalRows() {
    return totalRows;
  }

  public void setTotalRows(Long totalRows) {
    this.totalRows = totalRows;
  }

  public LanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo currentPage(Integer currentPage) {
    this.currentPage = currentPage;
    return this;
  }

  /**
   * Current page number.
   * @return currentPage
  */
  @ApiModelProperty(value = "Current page number.")


  public Integer getCurrentPage() {
    return currentPage;
  }

  public void setCurrentPage(Integer currentPage) {
    this.currentPage = currentPage;
  }

  public LanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo currentSize(Integer currentSize) {
    this.currentSize = currentSize;
    return this;
  }

  /**
   * Number of entries per page.
   * @return currentSize
  */
  @ApiModelProperty(value = "Number of entries per page.")


  public Integer getCurrentSize() {
    return currentSize;
  }

  public void setCurrentSize(Integer currentSize) {
    this.currentSize = currentSize;
  }

  public LanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo data(List<LanNetworkQueryOpenApiVo> data) {
    this.data = data;
    return this;
  }

  public LanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo addDataItem(LanNetworkQueryOpenApiVo dataItem) {
    if (this.data == null) {
      this.data = new ArrayList<>();
    }
    this.data.add(dataItem);
    return this;
  }

  /**
   * Get data
   * @return data
  */
  @ApiModelProperty(value = "")

  @Valid

  public List<LanNetworkQueryOpenApiVo> getData() {
    return data;
  }

  public void setData(List<LanNetworkQueryOpenApiVo> data) {
    this.data = data;
  }

  public LanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo supportMultiVlan(Boolean supportMultiVlan) {
    this.supportMultiVlan = supportMultiVlan;
    return this;
  }

  /**
   * Whether multi vlan configuration is supported of the lan netowrk.
   * @return supportMultiVlan
  */
  @ApiModelProperty(value = "Whether multi vlan configuration is supported of the lan netowrk.")


  public Boolean getSupportMultiVlan() {
    return supportMultiVlan;
  }

  public void setSupportMultiVlan(Boolean supportMultiVlan) {
    this.supportMultiVlan = supportMultiVlan;
  }

  public LanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo supportRA(Boolean supportRA) {
    this.supportRA = supportRA;
    return this;
  }

  /**
   * Whether Router Advertisement configuration is supported of the lan netowrk.
   * @return supportRA
  */
  @ApiModelProperty(value = "Whether Router Advertisement configuration is supported of the lan netowrk.")


  public Boolean getSupportRA() {
    return supportRA;
  }

  public void setSupportRA(Boolean supportRA) {
    this.supportRA = supportRA;
  }

  public LanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo supportCustomDhcpOption(Boolean supportCustomDhcpOption) {
    this.supportCustomDhcpOption = supportCustomDhcpOption;
    return this;
  }

  /**
   * Whether custom DHCP option configuration is supported of the lan netowrk.
   * @return supportCustomDhcpOption
  */
  @ApiModelProperty(value = "Whether custom DHCP option configuration is supported of the lan netowrk.")


  public Boolean getSupportCustomDhcpOption() {
    return supportCustomDhcpOption;
  }

  public void setSupportCustomDhcpOption(Boolean supportCustomDhcpOption) {
    this.supportCustomDhcpOption = supportCustomDhcpOption;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo lanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo = (LanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo) o;
    return Objects.equals(this.totalRows, lanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo.totalRows) &&
        Objects.equals(this.currentPage, lanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo.currentPage) &&
        Objects.equals(this.currentSize, lanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo.currentSize) &&
        Objects.equals(this.data, lanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo.data) &&
        Objects.equals(this.supportMultiVlan, lanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo.supportMultiVlan) &&
        Objects.equals(this.supportRA, lanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo.supportRA) &&
        Objects.equals(this.supportCustomDhcpOption, lanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo.supportCustomDhcpOption);
  }

  @Override
  public int hashCode() {
    return Objects.hash(totalRows, currentPage, currentSize, data, supportMultiVlan, supportRA, supportCustomDhcpOption);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LanNetworkOpenApiGridVoLanNetworkQueryOpenApiVo {\n");
    
    sb.append("    totalRows: ").append(toIndentedString(totalRows)).append("\n");
    sb.append("    currentPage: ").append(toIndentedString(currentPage)).append("\n");
    sb.append("    currentSize: ").append(toIndentedString(currentSize)).append("\n");
    sb.append("    data: ").append(toIndentedString(data)).append("\n");
    sb.append("    supportMultiVlan: ").append(toIndentedString(supportMultiVlan)).append("\n");
    sb.append("    supportRA: ").append(toIndentedString(supportRA)).append("\n");
    sb.append("    supportCustomDhcpOption: ").append(toIndentedString(supportCustomDhcpOption)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

